#ifndef _StringFieldP_h
#define _StringFieldP_h

#include "StringField.h"
/* include superclass private header file */
#include <X11/Xaw/AsciiTextP.h>

typedef struct {
    int empty;
} StringFieldClassPart;

typedef struct _StringFieldClassRec {
    CoreClassPart	core_class;
    SimpleClassPart     simple_class;
    TextClassPart       text_class;
    AsciiClassPart      ascii_class;
    StringFieldClassPart	stringField_class;
} StringFieldClassRec;

extern StringFieldClassRec stringFieldClassRec;

typedef struct {
    /* resources */
    XtCallbackList callback;
    /* private state */
} StringFieldPart;

typedef struct _StringFieldRec {
    CorePart		core;
    SimplePart          simple;
    TextPart            text;
    AsciiPart           ascii;
    StringFieldPart	string;
} StringFieldRec;

#endif /* _StringFieldP_h */
