#include <X11/Intrinsic.h>

#define MAXKEYSYM 8

extern struct key {
  KeyCode keycode;
  unsigned char modifiers;
  KeySym keysym[MAXKEYSYM];
  int x,y,w,h;
  Widget widget1, widget2;
} key[];

extern struct AppData {
  char *def_keyboard;
  int blocksize;
} appldata;

extern XtAppContext ctx;
extern Widget topLevel, kbdwidget;

#ifdef FUNCPROTO
#define _ARGS(x) x
#else
#define _ARGS(x) ()
#endif

extern Widget createKeyCodeWin _ARGS((Widget));
extern Widget createFileRequester _ARGS((Widget, char *, char *, void (*)()));
extern void applyLayout _ARGS((void));
extern void popupCallback _ARGS((Widget, Widget));
extern void popdownCallback _ARGS((Widget, Widget));
extern void updateKeysyms _ARGS((int, int));
extern void updateModifiers _ARGS((void));
extern void initWidgets _ARGS((Widget, Widget));
extern int  loadKeyboard _ARGS((char *));
extern void clearKeys _ARGS((void));
extern int  coordEvent _ARGS((XEvent *));
extern int  makeKbdMenu _ARGS((Widget));
#ifdef FUNCPROTO
extern void alert(char *, ...);
#endif

